Is it reasonable!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

I had a problem with articulate storyline when flash released version 16 and when I tried to look for a solution , Realy I was very astonished that I have to buy another version of articulate after trying it for 30 days.Is it reasonable that every update I have to buy it??????????????????? especially this problem is out of my hand I have nothing to do with the new release of flash

2 Replies
Wendy Farmer

Hi Rania

I have just answered your other post with download links for SL1 and SL2.  If you own SL1 you don't have to pay to download the update.  If you were on a trial of SL2 and are deciding to upgrade to SL2 yes you have to purchase SL2.

Once you have purchased a version you DON"T pay for updates to that version.